# Roll Post Plugin

This unofficial TaleSpire mod posts D20 rolls to a web server using JSON encoding.

This plugin, like all others, is free but if you want to donate, use: http://LordAshes.ca/TalespireDonate/Donate.php 

## Change Log

```
1.0.0: Initial release
```

## Install

Use R2ModMan or similar installer to install.

Configure the URL using R2ModMan Edit Config option for the plugin.

## Usage

When a roll is made, if the die is a D20, the roll will be sent as a POST to the specified URL and the contents of
the roll will be provided as the contents of the POST in JSON format. For example:

```
{
  "player": "LordAshes",
  "name": "initiative",
  "formula": "1D20+5",
  "die": "4",
  "total": "9",
}
```

The plugin does not provide the web server portion. That is scope of others. However, below is a simple PHP script
that captures the posted JSON content as a string:

```
<?PHP
  $json = file_get_contents('php://input'));
?>
```

